Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class ItemRecord

    java.lang.Object
      net.minecraft.src.Item
          net.minecraft.src.ItemRecord

    public class ItemRecord

extends Item

Field Summary
`String` | `recordName` The name of the record.

Fields inherited from class net.minecraft.src.Item
`appleGold, appleRed, arrow, axeDiamond, axeGold, axeSteel, axeStone, axeWood, bed, beefCooked, beefRaw, blazePowder, blazeRod, boat, bone, book, bootsChain, bootsDiamond, bootsGold, bootsLeather, bootsSteel, bow, bowlEmpty, bowlSoup, bread, brewingStand, brick, bucketEmpty, bucketLava, bucketMilk, bucketWater, cake, cauldron, chickenCooked, chickenRaw, clay, coal, compass, cookie, diamond, doorSteel, doorWood, dyePowder, egg, emerald, enderPearl, expBottle, eyeOfEnder, feather, fermentedSpiderEye, field_82791_bT, field_82792_bS, field_82793_bR, field_82794_bL, field_82795_bM, field_82796_bJ, field_82797_bK, field_82798_bP, field_82799_bQ, field_82800_bN, field_82801_bO, field_82802_bI, fireballCharge, fishCooked, fishingRod, fishRaw, flint, flintAndSteel, ghastTear, glassBottle, goldNugget, gunpowder, helmetChain, helmetDiamond, helmetGold, helmetLeather, helmetSteel, hoeDiamond, hoeGold, hoeSteel, hoeStone, hoeWood, ingotGold, ingotIron, isDefaultTexture, itemsList, leather, legsChain, legsDiamond, legsGold, legsLeather, legsSteel, lightStoneDust, magmaCream, map, melon, melonSeeds, minecartCrate, minecartEmpty, minecartPowered, monsterPlacer, netherStalkSeeds, painting, paper, pickaxeDiamond, pickaxeGold, pickaxeSteel, pickaxeStone, pickaxeWood, plateChain, plateDiamond, plateGold, plateLeather, plateSteel, pocketSundial, porkCooked, porkRaw, potion, pumpkinSeeds, record11, record13, recordBlocks, recordCat, recordChirp, recordFar, recordMall, recordMellohi, recordStal, recordStrad, recordWard, redstone, redstoneRepeater, reed, rottenFlesh, saddle, seeds, shears, shiftedIndex, shovelDiamond, shovelGold, shovelSteel, shovelStone, shovelWood, sign, silk, slimeBall, snowball, speckledMelon, spiderEye, stick, sugar, swordDiamond, swordGold, swordSteel, swordStone, swordWood, wheat, writableBook, writtenBook`

Method Summary
`void` | `addInformation(ItemStack par1ItemStack, EntityPlayer par2EntityPlayer, List par3List, boolean par4)`
`EnumRarity` | `getRarity(ItemStack par1ItemStack)`
`boolean` | `onItemUse(ItemStack par1ItemStack, EntityPlayer par2EntityPlayer, World par3World, int par4, int par5, int par6, int par7, float par8, float par9, float par10)` Callback for item usage.

Methods inherited from class net.minecraft.src.Item
`canHarvestBlock, createEntity, doesContainerItemLeaveCraftingGrid, func_77653_i, func_82788_x, func_82789_a, func_82790_a, getContainerItem, getContainerItemStack, getCreativeTab, getDamageVsEntity, getEntityLifespan, getHasSubtypes, getIconFromDamage, getIconFromDamageForRenderPass, getIconIndex, getIconIndex, getItemDisplayName, getItemEnchantability, getItemName, getItemNameIS, getItemStackLimit, getItemUseAction, getLocalItemName, getMaxDamage, getMaxItemUseDuration, getMetadata, getPotionEffect, getRenderPasses, getShareTag, getStatName, getStrVsBlock, getStrVsBlock, getSubItems, getTextureFile, hasContainerItem, hasCustomEntity, hasEffect, hitEntity, isDamageable, isFull3D, isItemTool, isMap, isPotionIngredient, isRepairable, itemInteractionForEntity, onBlockDestroyed, onBlockStartBreak, onCreated, onDroppedByPlayer, onFoodEaten, onItemRightClick, onItemUseFirst, onItemUseFirst, onLeftClickEntity, onPlayerStoppedUsing, onUpdate, onUsingItemTick, requiresMultipleRenderPasses, setContainerItem, setCreativeTab, setFull3D, setIconCoord, setIconIndex, setItemName, setMaxDamage, setMaxStackSize, setNoRepair, setTextureFile, shouldRotateAroundWhenRendering`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### recordName

    public final String recordName

  The name of the record.

Method Detail

### onItemUse

    public boolean onItemUse(ItemStack par1ItemStack,
                             EntityPlayer par2EntityPlayer,
                             World par3World,
                             int par4,
                             int par5,
                             int par6,
                             int par7,
                             float par8,
                             float par9,
                             float par10)

  Callback for item usage. If the item does something special on right clicking, he will have one of those. Return True if something happen and false if it don't. This is for ITEMS, not BLOCKS

  Overrides:
    `onItemUse` in class `Item`

### addInformation

    public void addInformation(ItemStack par1ItemStack,
                               EntityPlayer par2EntityPlayer,
                               List par3List,
                               boolean par4)

  Overrides:
    `addInformation` in class `Item`

### getRarity

    public EnumRarity getRarity(ItemStack par1ItemStack)

  Overrides:
    `getRarity` in class `Item`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD